## SYNOPSIS

           msgmerge [OPTION] def.po ref.pot

## DESCRIPTION

           Merges  two Uniforum style .po files together.  The def.po
           file is an existing PO file with translations  which  will
           be  taken  over  to the newly created file as long as they
           still match; comments will  be  preserved,  but  extracted
           comments  and  file  positions  will  be  discarded.   The
           ref.pot file is the last created PO file  with  up-to-date
           source  references  but old translations, or a PO Template
           file (generally created by xgettext); any translations  or
           comments  in  the file will be discarded, however dot com
           ments and file positions  will  be  preserved.   Where  an
           exact  match  cannot  be  found, fuzzy matching is used to
           produce better results.

           Mandatory arguments to  long  options  are  mandatory  for
           short options too.

       Input file location:
           def.po translations referring to old sources

           ref.pot
                  references to new sources

           -D, --directory=DIRECTORY
                  add DIRECTORY to list for input files search

           -C, --compendium=FILE
                  additional  library of message translations, may be
                  specified more than once

       Operation mode:
           -U, --update
                  update def.po, do nothing if def.po already  up  to
                  date

       Output file location:
           -o, --output-file=FILE
                  write output to specified file

           The  results  are  written to standard output if no output
           file is specified or if it is -.

           Output file location in update mode: The result is written
           back to def.po.

           --backup=CONTROL
                  make a backup of def.po

           --suffix=SUFFIX
                  wise

           simple, never
                  always make simple backups

           The backup suffix is `~', unless set with --suffix or  the
           SIMPLE_BACKUP_SUFFIX environment variable.

       Operation modifiers:
           -m, --multi-domain
                  apply ref.pot to each of the domains in def.po

       Output details:
           -e, --no-escape
                  do not use C escapes in output (default)

           -E, --escape
                  use C escapes in output, no extended chars

           --force-po
                  write PO file even if empty

           -i, --indent
                  indented output style

           --no-location
                  suppress '#: filename:line' lines

           --add-location
                  preserve '#: filename:line' lines (default)

           --strict
                  strict Uniforum output style

           -w, --width=NUMBER
                  set output page width

           --no-wrap
                  do  not  break  long message lines, longer than the
                  output page width, into several lines

           -s, --sort-output
                  generate sorted output

           -F, --sort-by-file
                  sort output by file location

       Informative output:
           -h, --help
                  display this help and exit

           -V, --version

## COPYRIGHT

           Copyright © 1995-1998, 2000-2002 Free Software Foundation,
           Inc.
           This  is  free software; see the source for copying condi
           tions.  There is NO warranty; not even for MERCHANTABILITY
           or FITNESS FOR A PARTICULAR PURPOSE.

## SEE ALSO

           The  full  documentation  for  msgmerge is maintained as a
           Texinfo manual.  If the info  and  msgmerge  programs  are
           properly installed at your site, the command

                  info msgmerge

           should give you access to the complete manual.

    GNU gettext 0.11.5         August 2002                MSGMERGE(1)